%define rel	3

#comment out if stable release
%define pre     rc1

Name:		gtkterm
Version:	0.99.7
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
Summary:	Serial port terminal
Group:		Communications/Serial
License:	GPLv2+
URL:		http://fedorahosted.org/gtkterm/
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}%{?pre:-%{pre}}.tar.gz
BuildRequires:	intltool
BuildRequires:	gtk2-devel 
BuildRequires:	gettext 
BuildRequires:	bison 
BuildRequires:	vte-devel 
BuildRequires:	zlib-devel 
BuildRequires:	ncurses-devel

%description
Gtkterm is a simple GTK+ terminal used to communicate with a serial port.
It is has fewer features than minicom, but is designed to be as easy to
use as possible.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%build
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=GTKTerm
Comment=Serial port terminal
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=GTK;RemoteAccess;Network;
EOF

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.99.7-0.rc1.3.mga3
+ Revision: 352939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0.99.7-0.rc1.2.mga3
+ Revision: 302282
- update RPM group

* Fri Feb 24 2012 wally <wally> 0.99.7-0.rc1.1.mga2
+ Revision: 214103
- new version 0.99.7 rc1
- drop patches
- clean .spec

* Sat Jun 18 2011 wally <wally> 0.99.6-1.mga2
+ Revision: 109402
- imported package gtkterm

